<!DOCTYPE html>
<html>
<head>
  <title>Formulario de inicio de sesión</title>
</head>
<body>

  <a href="#" id="login-link">Login</a>
  <div id="login-form" style="display:none;">
    <form>
      <label for="username">Usuario:</label>
      <input type="text" id="username" name="username"><br>

      <label for="password">Contraseña:</label>
      <input type="password" id="password" name="password"><br>

      <input type="submit" value="Enviar">
    </form>
  </div>

  <script>
    document.getElementById("login-link").addEventListener("click", function(event){
      event.preventDefault();
      document.getElementById("login-form").style.display = "block";
    });
  </script>

</body>
</html>
